// Bondwire electro-thermal transient simulation

bwlf = 1e-3; //bondwire length
bwdf = 25e-6; //bondwire diameter

bwl = 0.5*bwlf;
bwd = 0.5*bwdf;

f = 5e-6;
g =100e-6;

//Mold
mw = 0.3e-3; //Width
ml = 0.7e-3; //Length
mh = 0.3e-3; //Height
// Box(-mw,-bwl,-mh,mw,ml,mh)
Point(1) = {-mw,-bwl,-mh,g};
Point(2) = {mw,-bwl,-mh,g};
Point(3) = {mw,ml,-mh,g};
Point(4) = {-mw,ml,-mh,g};
Point(5) = {-mw,-bwl,mh,g};
Point(6) = {mw,-bwl,mh,g};
Point(7) = {mw,ml,mh,g};
Point(8) = {-mw,ml,mh,g};
Line(9) = {1,2};
Line(10) = {2,3};
Line(11) = {3,4};
Line(12) = {4,1};
Line(13) = {5,6};
Line(14) = {6,7};
Line(15) = {7,8};
Line(16) = {8,5};
Line(17) = {1,5};
Line(18) = {2,6};
Line(19) = {3,7};
Line(20) = {4,8};
Line Loop(21) = {11,12,9,10};
Plane Surface(22) = {21};
Line Loop(23) = {19,15,-20,-11};
Plane Surface(24) = {23};
Line Loop(25) = {14,15,16,13};
Plane Surface(26) = {25};
Line Loop(27) = {9,18,-13,-17};
Plane Surface(28) = {27};
Line Loop(29) = {12,17,-16,-20};
Plane Surface(30) = {29};
Line Loop(31) = {10,19,-14,-18};
Plane Surface(32) = {31};

//Bondwire
bwl = 0.9*bwl;
off = 0; //heigth offset of the bondwire
Point(900) = {0,-bwl,bwd+off,f};
Point(901) = {0,-bwl,-bwd+off,f};
Point(902) = {bwd,-bwl,0+off,f};
Point(903) = {-bwd,-bwl,0+off,f};
Point(904) = {0,bwl,bwd+off,f};
Point(905) = {0,bwl,-bwd+off,f};
Point(906) = {bwd,bwl,0+off,f};
Point(907) = {-bwd,bwl,0+off,f};
Point(908) = {0,-bwl,0+off,f};
Point(909) = {0,bwl,0+off,f};
Circle(965) = {900, 908, 903};
Circle(966) = {903, 908, 901};
Circle(967) = {901, 908, 902};
Circle(968) = {902, 908, 900};
Circle(969) = {904, 909, 907};
Circle(970) = {907, 909, 905};
Circle(971) = {905, 909, 906};
Circle(972) = {906, 909, 904};
Line(973) = {904, 900};
Line(974) = {907, 903};
Line(975) = {905, 901};
Line(976) = {906, 902};
Line Loop(977) = {974, 966, -975, -970};
Ruled Surface(978) = {977};
Line Loop(979) = {975, 967, -976, -971};
Ruled Surface(980) = {979};
Line Loop(981) = {976, 968, -973, -972};
Ruled Surface(982) = {981};
Line Loop(983) = {965, -974, -969, 973};
Ruled Surface(984) = {983};
Line Loop(985) = {970, 971, 972, 969};
Plane Surface(986) = {985};
Line Loop(987) = {966, 967, 968, 965};
Plane Surface(988) = {987};

Surface Loop(989) = {984, 988, 978, 980, 982, 986};
Volume(990) = {989}; 
Surface Loop(991) = {24, 32, 22, 30, 28, 26};
Volume(992) = {991,989};

Plane Surface(1005) = {25};
Plane Surface(1006) = {31};
Plane Surface(1007) = {21};
Plane Surface(1008) = {29};

Physical Volume(1000) = {992}; //mold
Physical Volume(1001) = {990}; //wire
Physical Surface(1002) = {986}; //pos
Physical Surface(1003) = {988}; //neg
Physical Surface(1004) = {990}; //mold surface