
Group {
   
  
  Substrat = Region[{1000}];
  Line = Region[1001];
  Pot1 = Region[1002];
  Pot0 = Region[1003]; 
  SurfSub= Region[1004];

  Domain_Ele = Region[{Line}];
  Vol_The = Region[{Line,Substrat}];
  SurConv_The = Region[{SurfSub}];
  SurRad_The = Region[{SurfSub}];
}

Function {
 
   sigma[Line] = 1930;//Electrical conductivity of gold
  
   k[Line] =  318  ; //Thermal Conductivity gold
   k[Substrat] = 0.65; //Thermal Conductivity pla
   
   rhoc  [ Line ] = 128 ; //Specific heat capacitance gold
   rhoc  [ Substrat ] = 882 ;  //Specific heat capacitance pla
   
   hr[SurfSub] = 22.1e-8; // Convection gold to pla
   hr[Line] = 22.1e-8; //
    
   TimeFct[] = ($Time < 1e-5) ? 1 : 0 ;

  Flux[] = 0 * TimeFct[] ; //Thermal flux
  qVol[] = 0;   //
  h[] = 3;      // Convection coefficient pla to air
  Tinit = 300;
  TConv[] = Tinit; // Temperature (Kelvin) of air around the substrate

  t0 = 0;
  t1 = 6e-5;
  dt = 2e-5;

  SaveFct[] = !($TimeStep % 1) ; 
  
}

Constraint {
  { Name Sta_T ; 
    Type Init ;
    Case {
      { Region Vol_The ; Value Tinit; }
    }
  }

  { Name ElectricScalarPotential ; 
    Type Init ; 
    Case {
       { Region Domain_Ele ; Value 1; }
    }  
    Type Assign ;
    Case {
      { Region Pot0 ; Value 0 ; }
      { Region Pot1 ; Value 1 ; }
    }
    
  }

}


Include "Jacobian_Lib2.pro"
Include "EleStaTherm.pro"



e = 1.e-7 ;
ep = -20e-6;
alt = 20e-6 ;
PostOperation {
  { Name Map ; NameOfPostProcessing The ;
     Operation {
       Print [ T, OnElementsOf Vol_The , File "map.pos"];
       Print [ v, OnElementsOf Vol_The, File "mStrip_v.pos" ] ;
       Print [ j, OnElementsOf Vol_The, File "current.pos" ] ;
       Print[ T, OnCut {{0,0,ep/2}{1,0,ep/2}{0,1,ep/2}} , File "cut1.pos"];
       Print[ v, OnCut {{0,0,ep/2}{1,0,ep/2}{0,1,ep/2}} , File "cut2.pos"];
       Print[ j, OnCut {{0,0,ep/2}{1,0,ep/2}{0,1,ep/2}} , File "cut3.pos"];
      }
    }    
}
